minor changes in names in build_xsedes file. nice balancing act in the recustomize...
[feisty_meow.git] / customizing / fred / build_xsedes.sh
diff --git a/customizing/fred/build_xsedes.sh b/customizing/fred/build_xsedes.sh
new file mode 100644 (file)
index 0000000..25ae50e
--- /dev/null
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+source "$FEISTY_MEOW_SCRIPTS/core/functions.sh"
+
+function build_xsede()
+{
+  pushd ~/xsede/code/fred/trunk
+  if [ $? -ne 0 ]; then return 1; fi
+  echo "Build starting at: $(date)"
+  \rm -rf unit-test-reports
+  ant -Dbuild.targetArch=64 build
+  if [ $? -ne 0 ]; then return 1; fi
+  # fix memory limits.
+#hmmm: clean these up.
+  if [ -f runContainer.sh ]; then
+    sed -i -e "s/-Xmx512M/-Xmx2G/" "runContainer.sh" 
+    chmod 755 "runContainer.sh" 
+  fi
+  if [ -f grid ]; then
+#    sed -i -e "s/-Xmx512M/-Xmx1G/" "grid"
+    chmod 755 "grid"
+  fi
+  if [ -f runContainer.bat ]; then
+    sed -i -e "s/-Xmx512M/-Xmx2G/" "runContainer.bat"
+    chmod 755 "runContainer.bat" 
+  fi
+  if [ -f grid.bat ]; then
+#    sed -i -e "s/-Xmx512M/-Xmx1G/" "grid.bat"
+    chmod 755 "grid.bat"
+  fi
+  echo "Build done at: $(date)"
+  popd
+}
+
+function rebuild_xsede()
+{
+  pushd ~/xsede/code/fred/trunk
+  ant clean
+  if [ $? -ne 0 ]; then return 1; fi
+  popd
+  build_xsede
+}
+